
var transport=null;
var nestApi=null;

function NestMainGetData()
{
   if (!nestApi) 
   {
      nestApi = IR.CreateDevice(IR.DEVICE_CUSTOM_HTTP_TCP, "NestApi", "home.nest.com", 443, "", "", true);
      nestApi.Connect();     
   }
   
   
   nestApi.SendEx(
   {
      Type: "POST",
      Url: "/user/login",
      Headers: { "Content-Type" : "application/x-www-form-urlencoded" },
      cbReceiveText: function(text, code, headers) {
         var resp = JSON.Parse(text);
         NestGetData(resp);
         transport.Disconnect;
      },
	  // enter your username and password (replace @ on %40)
      Data: ["username=youremail%40gmail.com&password=password"]
   });

}



function NestGetData(auth)
{  
   if (!transport)
    {
       transport = IR.CreateDevice(IR.DEVICE_CUSTOM_HTTP_TCP, "Transport", auth['urls']['transport_url'].substr(8), 443, "", "", true);
       transport.Connect();     
   }
   
 
   transport.SendEx(
   {
      Type: "GET",
      Url: "/v2/mobile/user." + auth['userid'],
      Headers: { "Authorization" : 'Basic '+auth['access_token'],
                 "X-nl-user-id" : auth['userid'],
                 "X-nl-protocol-version" : '1',
                 'Accept-Language' : 'en-us',
                 'Connection' : 'keep-alive',
                 'Accept' : '*/*'},
      cbReceiveText: function(text, code, headers) {                        
                        IR.Log('NEST ID: '+text.substr(9,16));
                         IR.GetItem("Page 1").GetItem("id").Text=text.substr(9,16);
                                
      },
      Data: []
   });   
}